Highlighted

Do not instal 14.3.1!!!!

New Here ,
Aug 14, 2020

Copy link to clipboard

Copied

For some stupid reason I updated to 14.3.1 over night and this morning I couldn't even open Premiere. I have the lastesd IMAC and the latest osx verision. Adobe...this is not good. I had to downgrade to ver 14.3 so I could get to work. 

Did this happen to anyone else????

Topics

Editing

Views

24

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Do not instal 14.3.1!!!!

New Here ,
Aug 14, 2020

Copy link to clipboard

Copied

For some stupid reason I updated to 14.3.1 over night and this morning I couldn't even open Premiere. I have the lastesd IMAC and the latest osx verision. Adobe...this is not good. I had to downgrade to ver 14.3 so I could get to work. 

Did this happen to anyone else????

Topics

Editing

Views

25

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Adobe Community Professional ,
Aug 14, 2020

Copy link to clipboard

Copied

Probably a few.

 

When you upgrade a version, the very first thing to do before opening any project is simply to dump all the cache/cache database files, so the new version creates its own. That tends to fix or actually prevent this sort of thing.

 

Neil

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...